/**/
"@echo off"
/* edit this : */
basePack = "smw174";

arg lang

if lang = "" then
   lang = "EN";

if lang = "EN" then
   do
      pack = basePack"w3";
      excludelist = "*.cmd *.zip smw*.txt language.txt"
      flags1 = "-q9DTX"
      flags2 = "-qr9TX"
      "zip "flags1 pack "* -x" excludelist
      "zip "flags2 pack "bitmaps"
   end /* do */
else
   do
      pack = basePack""translate(lang, xrange("a", "z"), xrange("A", "Z"))"w3"
      filelist = "*.170 styler.@ afcutl05.dll *.exe *.hlp *.htm *.ico bitmaps"
      "zip -r9TX "pack filelist
      call directory lang
      "zip -9TX ..\"pack" *"
      call directory ".."
   end /* do */
exit
